package gmt.protocol.ext.VO;

import java.util.ArrayList;
import java.util.List;

public class ExtMsg_RPC11VO {
	private String msg;
	private String packetType; 
	private List<Integer> RPCCommandList;	//RPC 포트별 명령.. unknown(0), powered-on(1), powered-off(2),reboot(3), turning-on(4), turning-off(5), rebooting(6)

	public ExtMsg_RPC11VO() {
		this.msg = "";
		this.packetType = "";
		this.RPCCommandList = new ArrayList<Integer>();
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}
	public List<Integer> getRPCCommandList(){
		return RPCCommandList;
	}
	public void ClearList() {
		if (this.RPCCommandList != null)
			this.RPCCommandList.clear();
	}
	public void addList(int RPCCommand) {
		if (this.RPCCommandList != null)
			this.RPCCommandList.add(RPCCommand);
	}	
    //{Todo : List Add 핸들링 방법 결정 후 작업 필요}
		
}
